> ## Documentation Index
> Fetch the complete documentation index at: https://d5230a4b-1863-416c-9734-f7107bff3756.bluelayer.io/llms.txt
> Use this file to discover all available pages before exploring further.

# GET RFQ by ID

> Retrieve a Request For Quote by ID



## OpenAPI

````yaml get /v1/orgs/{orgName}/channels/{channelSlug}/rfqs/{id}
openapi: 3.1.0
info:
  title: External API for channels
  description: BlueLayer external API for channels
  version: '2'
servers:
  - url: https://api.connect.bluelayer.tech
security: []
paths:
  /v1/orgs/{orgName}/channels/{channelSlug}/rfqs/{id}:
    get:
      description: Retrieves an RFQ by ID
      parameters:
        - schema:
            type: string
          in: path
          name: orgName
          required: true
        - schema:
            type: string
          in: path
          name: channelSlug
          required: true
        - schema:
            type: string
            format: uuid
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  listingIds:
                    items:
                      type: string
                      format: uuid
                    type: array
                  state:
                    enum:
                      - closed
                      - open
                    type: string
                  number:
                    type: number
                  reference:
                    anyOf:
                      - type: 'null'
                      - type: string
                  buyerDescription:
                    anyOf:
                      - type: 'null'
                      - type: string
                  contractType:
                    enum:
                      - spot
                      - forward
                    type: string
                  fulfilmentMethod:
                    anyOf:
                      - type: 'null'
                      - enum:
                          - transfer
                          - retirement
                          - assignment
                        type: string
                  fulfilmentDueDate:
                    anyOf:
                      - type: 'null'
                      - type: string
                        format: date
                        examples:
                          - '2026-01-20'
                  minVolume:
                    type: number
                  maxVolume:
                    type: number
                  reportingPeriodStart:
                    anyOf:
                      - type: 'null'
                      - type: string
                        format: date
                        examples:
                          - '2026-01-20'
                  reportingPeriodEnd:
                    anyOf:
                      - type: 'null'
                      - type: string
                        format: date
                        examples:
                          - '2026-01-20'
                  minVintageYear:
                    description: Minimum vintage year, or 'Any' if no minimum
                    examples:
                      - Any
                    anyOf:
                      - type: string
                        enum:
                          - Any
                      - minimum: 2010
                        maximum: 2050
                        type: number
                  maxVintageYear:
                    description: Maximum vintage year, or 'Any' if no maximum
                    examples:
                      - 2020
                    anyOf:
                      - type: string
                        enum:
                          - Any
                      - minimum: 2010
                        maximum: 2050
                        type: number
                  pricing:
                    anyOf:
                      - type: 'null'
                      - additionalProperties: false
                        type: object
                        properties:
                          minUnitPrice:
                            anyOf:
                              - type: 'null'
                              - type: number
                          maxUnitPrice:
                            anyOf:
                              - type: 'null'
                              - type: number
                          currency:
                            enum:
                              - USD
                              - EUR
                              - AUD
                              - GBP
                              - SGD
                            type: string
                        required:
                          - minUnitPrice
                          - maxUnitPrice
                          - currency
                  additionalRequirements:
                    anyOf:
                      - type: 'null'
                      - type: string
                  responses:
                    type: array
                    items:
                      additionalProperties: false
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        listingId:
                          type: string
                          format: uuid
                      required:
                        - id
                        - listingId
                  reasonForPurchase:
                    anyOf:
                      - type: 'null'
                      - enum:
                          - buyToRetire
                          - buyToSell
                          - other
                        type: string
                  createdAt:
                    type: string
                    format: date-time
                    examples:
                      - '2026-01-20T10:00:00.005Z'
                  updatedAt:
                    type: string
                    format: date-time
                    examples:
                      - '2026-01-20T10:00:00.005Z'
                  openedAt:
                    anyOf:
                      - type: 'null'
                      - type: string
                        format: date-time
                        examples:
                          - '2026-01-20T10:00:00.005Z'
                  closedAt:
                    anyOf:
                      - type: 'null'
                      - type: string
                        format: date-time
                        examples:
                          - '2026-01-20T10:00:00.005Z'
                  responseDueDate:
                    type: string
                    format: date
                    description: The date by which the response is due
                    examples:
                      - '2026-01-20'
                required:
                  - id
                  - listingIds
                  - state
                  - number
                  - reference
                  - buyerDescription
                  - contractType
                  - fulfilmentMethod
                  - fulfilmentDueDate
                  - minVolume
                  - maxVolume
                  - reportingPeriodStart
                  - reportingPeriodEnd
                  - minVintageYear
                  - maxVintageYear
                  - pricing
                  - additionalRequirements
                  - responses
                  - reasonForPurchase
                  - createdAt
                  - updatedAt
                  - openedAt
                  - closedAt
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 401
                  error:
                    type: number
                  message:
                    type: string
                required:
                  - statusCode
                  - message
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 403
                  error:
                    type: number
                  message:
                    type: string
                required:
                  - statusCode
                  - message
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 404
                  error:
                    type: number
                  message:
                    type: string
                required:
                  - statusCode
                  - message
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 500
                  error:
                    type: number
                  message:
                    type: string
                required:
                  - statusCode
                  - message
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````